/*#######################################################################################
Ansteuerung PTC Temperaturfhler KTY81-110 an ATMEGA32
Weitere Erkrungen siehe KTY81110.h

Copyright (C) 2005 Christian Truckenbrodt

#######################################################################################*/

#include "main.h"
#include "KTY81110.h"


//############################################################################
//
float KTY81110(unsigned char channel)
//############################################################################
{	
	float temp 		= 82;
		
	//Save old settings
	unsigned char DDRA_old		=	DDRA;
	unsigned char ADCSRA_old	=	ADCSRA;
	unsigned char ADMUX_old	=	ADMUX;
	
	//define Pin kanal on PortA as input
	DDRA &= ~(1<<channel);
	//Reconfigure ADCSRA
	ADCSRA = 0x00;
	ADCSRA = (1<<ADEN)|(1<<ADPS2)|(1<<ADPS1)|(1<<ADPS0);
	//REconfigure ADMUX
	ADMUX = 0x00;
	//Refs1:0 = 0,1 ;Set Vref = AVcc
	ADMUX = (1<<REFS0);
	//select ADC Channel
	ADMUX |= channel;
	
	for (int i=0;i<=64;i++)
	{
		//Start one single conversion
		ADCSRA|=(1<<ADSC);
		//wait until conversion is done
		while (ADCSRA & (1<<ADSC));		
		temp += (ADCL + ADCH*256);
		
	}
	
	temp /= 101;
	temp -= offset;
		
	//Restore old settings
	DDRA	=	DDRA_old;
	ADCSRA	=	ADCSRA_old;
	ADMUX	=	ADMUX_old;
	
	return (temp);
}
