/*#######################################################################################
Ansteuerung PTC Temperaturfhler KTY81-110 an ATMEGA32
System:			ATMEGA32 @16MHZ, WinAVR, PonyProg

				KTY81110.c/h ermglicht es an einen bestimmten Port des ADC eines ATMEGA32
				den PTC Temperaturfhler KTY81-110 anzuschlieen und die Temperatur
				auszulesen.
				Dazu muss der Befehl KTY81110(ADPORT) aufgerufen werden. der Rckgabewert
				der Funktion ist die Temperatur als Float.
				Der KTY81-110 wird wie folgt an den ATMEGA32 angeschlossen:
				
				---AVcc---------------	+5V
				A |						 |
				T |		     		    ---
				M |						|2|
				E |						|k|
				G |						|7|
				A |						---
				3 |PAx-------------------|
				2 |						--- 
				  |						|K|
				  |						|T|
				  |						|Y|
				  |						---
				  |						 |
				  |						 -(GND)
				---

				Mit dem offset Wert in KTY81110.h kann das Thermometer kalibiert werden.
				Werden 2 Grad zuviel angezeigt, so muss der Offsetwert um 2 erht werden.
				
				Mehr Informationen kann man auf der Homepage von http://www.sprut.de finden:
				http://www.sprut.de/electronic/pic/projekte/thermo/thermo.htm
				http://www.sprut.de/electronic/temeratur/temp.htm
				
				Ich hafte fr keinerlei Schden! Die Benutzung dieser Routine geschieht 
				auf eigene Gefahr!
				 
Copyright (C) 2005 Christian Truckenbrodt			 
#######################################################################################*/
#ifndef _KTY81100_H
 #define _KTY81100_H

extern float KTY81110 (unsigned char);

#define offset	156

#endif //_KTY81100_H






